#!/usr/bin/env python
	
# Authors: Xiaohong Zhuang, Dr.Jeffery B. Klauda
#    Date: 4/15/2016
	
# Calculate the mean and percentage 
import math
import numpy as np

# Read number of dyn
fob = open('Ndyn.txt','r')
Ndyn = fob.readline()
Ndyn = Ndyn.strip()
Ndyn = int(Ndyn)
fob.close()

# Read the lipid name and lipid number
filetoread = "Nlip.txt"
fob=open(filetoread,'r')
Nlip=fob.readlines()

listLip = []; listNum = []
for line in Nlip:
	NaNm = line.strip().split()
	Lip = NaNm[0].lower(); Num = NaNm[1];
	listLip.append(Lip); listNum.append(int(Num));

#################################################################################################################3

def avg_se(lip,num,Ndyn):
	filetoread = "%s.txt" % lip
	data=np.genfromtxt(filetoread,delimiter=" ",skip_header=0)
	
	# Find number of rows and columns
	NR= np.shape(data)[0]; NC= np.shape(data)[1];
	
	# Split the data to Ndyn blocks
	Sdata=np.vsplit(data[:,1:NC],Ndyn)
	
	# Calculate the block average
	listavg=[]
	for b in range(0,Ndyn,1):
		avg=np.mean(Sdata[b],axis=0)                          # axis =0 for vertical, axis=1 for horizal mean.
		listavg.append(avg)
	
	# Calculate the avg of the block avg and its standard error
	bavg   = np.mean(listavg,axis=0); berr = np.std(listavg,axis=0)/math.sqrt(Ndyn)
	pbavg = bavg/float(Num) ; pberr = berr/float(Num)
	
	#print the final result
	for g in range(0,len(bavg)-1,1):
		print '%s\t%i\t%i\t%2.4f\t%2.4f\t%2.4f\t%2.4f' % (lip.upper(),int(Num),g+1,bavg[g],berr[g],pbavg[g],pberr[g])
	print '%s\t%i\t%s\t%2.4f\t%2.4f\t%2.4f\t%2.4f' % (lip.upper(),int(Num),'TotG',bavg[-1],berr[-1],pbavg[-1],pberr[-1])
	print " "
######################################################################################

print '%s\t%s\t%s\t%s\t%s\t%s\t%s' % ('Lip','Nlip','Pair','N_avg','N_se','Na/lip','Nse/lip')
for i in range(0,len(listLip),1):
	Lip=listLip[i]; Num=listNum[i]
	avg_se(Lip,Num,Ndyn)

if len(listLip) > 1:
	print '%s\t%i' % ('TotL',sum(listNum))

