#!/usr/bin/env python
	
# Authors: Xiaohong Zhuang, Dr.Jeffery B. Klauda
#    Date: 4/15/2016
	
# Calculate the mean and percentage 
import math
import numpy as np

# Read number of dyn
fob = open('Ndyn.txt','r')
Ndyn = fob.readline()
Ndyn = Ndyn.strip()
Ndyn = int(Ndyn)
fob.close()

# Read the lipid name and lipid number
filetoread = "Nlip.txt"
fob=open(filetoread,'r')
Nlip=fob.readlines()

listLip = []; listNum = []
for line in Nlip:
	NaNm = line.strip().split()
	Lip = NaNm[0].lower(); Num = NaNm[1];
	listLip.append(Lip); listNum.append(int(Num));

# Read the lipid name and lipid number
filetoread = "lippair.txt"
fob=open(filetoread,'r')
lippair=fob.readlines()

listlipp = [];
for line in lippair:
	lippl = line.strip().split()
	lippe = lippl[0].lower();
	listlipp.append(lippe);

#################################################################################################################3

def avg_se(lipp,ndyn):
	filetoread = "%s.txt" % (lipp)
	data=np.genfromtxt(filetoread,delimiter=" ",skip_header=0)
	
	# Find number of rows and columns
	NR= np.shape(data)[0]; NC= np.shape(data)[1];
	
	# Split the data to Ndyn blocks
	Sdata=np.vsplit(data[:,1:NC],ndyn)
	
	# Calculate the block average
	listavg=[]
	for b in range(0,Ndyn,1):
		avg=np.mean(Sdata[b],axis=0)                          # axis =0 for vertical, axis=1 for horizal mean.
		listavg.append(avg)
	
	# Calculate the avg of the block avg and its standard error
	bavg   = np.mean(listavg,axis=0); berr = np.std(listavg,axis=0)/math.sqrt(Ndyn)
	#pbavg = bavg/float(Num) ; pberr = berr/float(Num)
	
	#print the final result
	for g in range(0,len(bavg)-1,1):
		print '%s\t%i\t%2.4f\t%2.4f' % (lipp,g+1,bavg[g],berr[g])
	print '%s\t%s\t%2.4f\t%2.4f' % (lipp,'TotG',bavg[-1],berr[-1])
	print " "
######################################################################################

print '%s\t%s\t%s\t%s' % ('Dlip-Alip','pair','N_avg','N_se')
print " "
for i in range(0,len(listlipp),1):
	Lipp=listlipp[i]; 
	avg_se(Lipp,Ndyn)

if len(listlipp) > 1:
	print '%s\t%i' % ('TotLP',len(listlipp))

